Package org.eclipse.emf.compare.ide.ui.internal.editor

## Class PropertySheetAdapterFactory

- java.lang.Object
- - org.eclipse.emf.compare.ide.ui.internal.editor.PropertySheetAdapterFactory

All Implemented Interfaces:
  `org.eclipse.core.runtime.IAdapterFactory`

    public class PropertySheetAdapterFactory
    extends Object
    implements org.eclipse.core.runtime.IAdapterFactory

Specific Adapter factory that provides an `ExtendedPropertySheetPage` for the Compare Editor.

### Field Summary

### Fields inherited from interface org.eclipse.core.runtime.IAdapterFactory

`SERVICE_PROPERTY_ADAPTABLE_CLASS, SERVICE_PROPERTY_ADAPTER_NAMES`

### Constructor Summary

Constructors
`PropertySheetAdapterFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `getAdapter​(Object adaptableObject, Class adapterType)`
`Class[]` `getAdapterList()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PropertySheetAdapterFactory

    public PropertySheetAdapterFactory()

### Method Detail

#### getAdapter

    public Object getAdapter​(Object adaptableObject,
                             Class adapterType)

Specified by:
  `getAdapter` in interface `org.eclipse.core.runtime.IAdapterFactory`
See Also:
  `IAdapterFactory.getAdapter(Object, Class)`

#### getAdapterList

    public Class[] getAdapterList()

Specified by:
  `getAdapterList` in interface `org.eclipse.core.runtime.IAdapterFactory`
See Also:
  `IAdapterFactory.getAdapterList()`